virtualbox-dkms fails to build with 18.04-hwe-edge kernel 5.3.0-12 [error: void value not ignored as it ought to be, from smp_call_function]

Bug #1847662 reported by Dave Chiluk on 2019-10-10
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
virtualbox (Ubuntu)
High
Unassigned
Bionic
Undecided
Unassigned
virtualbox-ext-pack (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
virtualbox-guest-additions-iso (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
virtualbox-hwe (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

With 5.3.0-12-generic on bionic virtualbox-dkms fails to build the kernel driver. Excerpt of build failure below. Full text attached. This is the second time I've been bitten by this dkms failing to build on kernel upgrades. It really feels like the -dkms packages successfully building should be a gating factor in releasing hwe-kernels. Perhaps such a test can be added to autopkgtests?

   CC [M] /var/lib/dkms/virtualbox/5.2.32/build/vboxdrv/r0drv/linux/semmutex-r0drv-linux.o
 /var/lib/dkms/virtualbox/5.2.32/build/vboxdrv/r0drv/linux/mp-r0drv-linux.c: In function ‘VBoxHost_RTMpOnAll’:
 /var/lib/dkms/virtualbox/5.2.32/build/vboxdrv/r0drv/linux/mp-r0drv-linux.c:287:18: error: void value not ignored as it ought to be
          int rc = smp_call_function(rtmpLinuxAllWrapper, &Args, 0 /* wait */);
                   ^~~~~~~~~~~~~~~~~
 /var/lib/dkms/virtualbox/5.2.32/build/vboxdrv/r0drv/linux/mp-r0drv-linux.c: In function ‘VBoxHost_RTMpOnOthers’:
 /var/lib/dkms/virtualbox/5.2.32/build/vboxdrv/r0drv/linux/mp-r0drv-linux.c:341:8: error: void value not ignored as it ought to be
      rc = smp_call_function(rtmpLinuxWrapper, &Args, 1 /* wait */);
         ^
 scripts/Makefile.build:288: recipe for target '/var/lib/dkms/virtualbox/5.2.32/build/vboxdrv/r0drv/linux/mp-r0drv-linux.o' failed

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: virtualbox-dkms 5.2.32-dfsg-0~ubuntu18.04.1
ProcVersionSignature: Ubuntu 5.3.0-12.13~18.04.2-generic 5.3.0
Uname: Linux 5.3.0-12-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Oct 10 14:49:53 2019
InstallationDate: Installed on 2018-03-28 (561 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180327)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: virtualbox
UpgradeStatus: No upgrade log present (probably fresh install)

Dave Chiluk (chiluk) wrote :
summary: - virtualbox-dkms fails to build with 18.04-hwe-edge kernel
+ virtualbox-dkms fails to build with 18.04-hwe-edge kernel 5.3.0-12
summary: virtualbox-dkms fails to build with 18.04-hwe-edge kernel 5.3.0-12
+ [error: void value not ignored as it ought to be]
summary: virtualbox-dkms fails to build with 18.04-hwe-edge kernel 5.3.0-12
- [error: void value not ignored as it ought to be]
+ [error: void value not ignored as it ought to be, from
+ smp_call_function]
Changed in virtualbox (Ubuntu Bionic):
status: New → In Progress
Changed in virtualbox (Ubuntu):
status: Confirmed → Fix Released
Changed in virtualbox-ext-pack (Ubuntu):
status: New → Fix Released
Changed in virtualbox-guest-additions-iso (Ubuntu):
status: New → Fix Released
Changed in virtualbox-ext-pack (Ubuntu Bionic):
status: New → In Progress
Changed in virtualbox-guest-additions-iso (Ubuntu Bionic):
status: New → In Progress
Changed in virtualbox-hwe (Ubuntu):
status: New → Fix Released
Changed in virtualbox-hwe (Ubuntu Bionic):
status: New → In Progress

Hello Dave, or anyone else affected,

Accepted virtualbox into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox/5.2.34-dfsg-0~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in virtualbox (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in virtualbox-hwe (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Dave, or anyone else affected,

Accepted virtualbox-hwe into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-hwe/5.2.34-dfsg-0~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in virtualbox-guest-additions-iso (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Dave, or anyone else affected,

Accepted virtualbox-guest-additions-iso into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-guest-additions-iso/5.2.34-1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in virtualbox-ext-pack (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Dave, or anyone else affected,

Accepted virtualbox-ext-pack into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-ext-pack/5.2.34-1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

The virtualbox packages are special, so I'm - as always - conditionally accepting those without proper SRU information filled in.
Please set the verification done tag once you are happy with the testing.

The usual verification has been performed correctly, and also the test kernel matrix is now green, 10 days have passed with no new bugs, I think it is safe to land
(I got 3 bugs similar to this one, with version 5.2.32, and I presume they are all fixed if we make this version land)

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox - 5.2.34-dfsg-0~ubuntu18.04.1

---------------
virtualbox (5.2.34-dfsg-0~ubuntu18.04.1) bionic; urgency=medium

  * SRU the latest package for bionic (LP: #1847662)

 -- Gianfranco Costamagna <email address hidden> Wed, 23 Oct 2019 15:26:08 +0200

Changed in virtualbox (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for virtualbox-hwe has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-ext-pack - 5.2.34-1~ubuntu18.04.1

---------------
virtualbox-ext-pack (5.2.34-1~ubuntu18.04.1) bionic; urgency=medium

  * SRU the latest package for bionic (LP: #1847662)
  * New upstream release, update postinst.

 -- Gianfranco Costamagna <email address hidden> Wed, 23 Oct 2019 17:57:00 +0200

Changed in virtualbox-ext-pack (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-hwe - 5.2.34-dfsg-0~ubuntu18.04.1

---------------
virtualbox-hwe (5.2.34-dfsg-0~ubuntu18.04.1) bionic; urgency=medium

  * SRU latest upstream release to bionic

virtualbox (5.2.34-dfsg-0~ubuntu18.04.1) bionic; urgency=medium

  * SRU the latest package for bionic (LP: #1847662)

 -- Gianfranco Costamagna <email address hidden> Wed, 23 Oct 2019 17:55:25 +0200

Changed in virtualbox-hwe (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-guest-additions-iso - 5.2.34-1~ubuntu18.04.1

---------------
virtualbox-guest-additions-iso (5.2.34-1~ubuntu18.04.1) bionic; urgency=medium

  SRU the latest package for bionic (LP: #1847662)
  * New upstream release

 -- Gianfranco Costamagna <email address hidden> Wed, 23 Oct 2019 16:05:58 +0200

Changed in virtualbox-guest-additions-iso (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers